<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Contoso Task Pane Add-in</title>

    <!-- Office JavaScript API -->
    <script type="text/javascript" src="https://appsforoffice.microsoft.com/lib/1.1/hosted/office.js"></script>

    <!-- For more information on Fluent UI, visit https://developer.microsoft.com/fluentui#/. -->
    <link
      rel="stylesheet"
      href="https://static2.sharepointonline.com/files/fabric/office-ui-fabric-core/9.6.1/css/fabric.min.css"
    />

    <!-- Template styles -->
    <link href="taskpane.css" rel="stylesheet" type="text/css" />
  </head>

  <body class="ms-font-m ms-welcome ms-Fabric">
    <header class="ms-welcome__header ms-bgColor-neutralLighter">
      <img width="90" height="90" src="../../assets/logo-filled.png" alt="Contoso" title="Contoso" />
      <h1 class="ms-font-su">Welcome</h1>
    </header>
    <section id="sideload-msg" class="ms-welcome__main">
      <h2 class="ms-font-xl">Please sideload your add-in to see app body.</h2>
    </section>
    <main id="app-body" class="p-4 flex flex-col gap-4">
      <ul class="flex flex-col w-full leading-loose text-lg bg-grey-100 divide-y">
        <li id="create-table">Create Table</li>
        <li id="filter-table">Filter Table</li>
        <li id="sort-table">Sort Table</li>
        <li id="create-chart">Create Chart</li>
        <li id="freeze-header">Freeze Header</li>
      </ul>

      <div>
        <select id="select-option" class="flex px-3 py-2 border rounded-md">
          <option value="filter-table">Filter Table</option>
          <option value="sort-table">Sort Table</option>
          <option value="create-chart">Create Chart</option>
          <option value="freeze-header">Freeze Header</option>
          <option value="revoke-filter">Revoke Filter</option>
        </select>
      </div>
    </main>
  </body>
</html>
